> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sociavault.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search

> Search the Facebook (Meta) Ad Library by keyword. GET requests are capped at approximately 1,500 results due to cursor size limits. For larger result sets, use this endpoint as a POST request with the query parameters passed in the request body.

<Note>
  💳 **1 credit** per request
</Note>


## OpenAPI

````yaml GET /v1/scrape/facebook-ad-library/search
openapi: 3.1.0
info:
  title: SociaVault API
  version: 1.0.0
  description: >-
    # SociaVault API Documentation


    The SociaVault API provides comprehensive access to social media data
    extraction across multiple platforms.


    ## Features


    - **Multi-Platform Support**: TikTok, Instagram, YouTube, Facebook, Twitter,
    Reddit, Threads, and more

    - **Credit-Based System**: Pay-as-you-go pricing with transparent credit
    costs

    - **High Performance**: Fast, reliable data extraction

    - **Comprehensive Data**: Detailed user profiles, videos, posts, comments,
    and analytics


    ## Authentication


    All API requests require authentication using an API key in the `X-API-Key`
    header:


    ```bash

    X-API-Key: sk_live_your_api_key_here

    ```


    Get your API key from the [SociaVault
    Dashboard](https://sociavault.com/dashboard).


    ## Credits


    Each endpoint consumes credits based on data complexity:

    - Simple requests (profiles): 1 credit

    - Complex requests (demographics): 20+ credits

    - Paginated requests: Credits per page


    Check your credit balance in the dashboard or via the API.


    ## Support


    - **Documentation**: https://docs.sociavault.com

    - **Email**: support@sociavault.com

    - **Discord**: https://discord.gg/sociavault
  contact:
    name: SociaVault Support
    email: support@sociavault.com
    url: https://sociavault.com/support
  license:
    name: Commercial
    url: https://sociavault.com/terms
servers:
  - url: https://api.sociavault.com
    description: Production API
security:
  - ApiKeyAuth: []
tags:
  - name: account
    description: Account management and credit balance
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/account
  - name: tiktok
    description: Scrape TikTok profiles, videos, and more
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/tiktok
  - name: tiktok-shop
    description: Everything about TikTok Shop
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/tiktok-shop
  - name: instagram
    description: Gets Instagram profiles, posts, and reels
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/instagram
  - name: youtube
    description: Scrape YouTube channels, videos, and more
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/youtube
  - name: linkedin
    description: Scrape LinkedIn
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/linkedin
  - name: facebook
    description: Get public Facebook profiles and posts
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/facebook
  - name: facebookAdLibrary
    description: Scrapes the Facebook (Meta) Ad Library
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/facebookAdLibrary
  - name: facebookMarketplace
    description: Search Facebook Marketplace and pull full listing details
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/facebookMarketplace
  - name: googleAdLibrary
    description: >-
      Scrape the Google Ad Transparency Library. *This only gets the public ads.
      Some ads you need to log in for and sadly we can't get those. Also, since
      there are so many variations, the return types might not all be 100% the
      same.
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/googleAdLibrary
  - name: linkedinAdLibrary
    description: Search the LinkedIn Ad Library
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/linkedinAdLibrary
  - name: twitter
    description: Get Twitter profiles, tweets, followers and more
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/twitter
  - name: reddit
    description: Scrape Reddit posts and comments
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/reddit
  - name: threads
    description: Get Threads posts
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/threads
  - name: google
    description: Scrape Google search results
    externalDocs:
      description: Learn more
      url: https://docs.sociavault.com/platforms/google
paths:
  /v1/scrape/facebook-ad-library/search:
    get:
      tags:
        - facebookAdLibrary
      summary: Search
      description: >-
        Search the Facebook (Meta) Ad Library by keyword. GET requests are
        capped at approximately 1,500 results due to cursor size limits. For
        larger result sets, use this endpoint as a POST request with the query
        parameters passed in the request body.
      operationId: facebookAdLibrary_Search
      parameters:
        - name: query
          in: query
          description: Keyword to search for
          required: true
          schema:
            type: string
            example: running
        - name: sort_by
          in: query
          description: >-
            Sort by impressions (high to low), or Most Recent
            (relevancy_monthly_grouped). Defaults to impressions.
          required: false
          schema:
            type: string
            enum:
              - total_impressions
              - relevancy_monthly_grouped
            example: total_impressions
        - name: search_type
          in: query
          description: If you want to search by exact phrase or not
          required: false
          schema:
            type: string
            enum:
              - keyword_unordered
              - keyword_exact_phrase
            example: keyword_unordered
        - name: ad_type
          in: query
          description: Search for all ads or only political and issue ads
          required: false
          schema:
            type: string
            enum:
              - all
              - political_and_issue_ads
            example: all
        - name: country
          in: query
          description: >-
            This can only be one country. It has to be the 2 letter code for the
            country. It defaults to ALL.
          required: false
          schema:
            type: string
            example: ALL
        - name: status
          in: query
          description: Status of the ad. Defaults to ACTIVE.
          required: false
          schema:
            type: string
            enum:
              - ALL
              - ACTIVE
              - INACTIVE
            example: ACTIVE
        - name: media_type
          in: query
          description: >-
            Media type of the ad. Defaults to ALL. Meme just means the ad has
            text and an image. No clue why they call it meme.
          required: false
          schema:
            type: string
            enum:
              - ALL
              - IMAGE
              - VIDEO
              - MEME
              - IMAGE_AND_MEME
              - NONE
            example: ALL
        - name: start_date
          in: query
          description: Impressions start date. Needs to be in YYYY-MM-DD format.
          required: false
          schema:
            type: string
            example: '2025-01-05'
        - name: end_date
          in: query
          description: Impressions end date. Needs to be in YYYY-MM-DD format.
          required: false
          schema:
            type: string
            example: '2025-02-16'
        - name: cursor
          in: query
          description: Cursor to paginate through results
          required: false
          schema:
            type: string
            example: >-
              AQHRYLVDkoMkvGv7yK1rcce-vJmKiKv330R4v3j9KHSOaYvmF1bq1QkotG0rgW8Fkrj-
        - name: trim
          in: query
          description: Set to true for a trimmed down version of the response
          required: false
          schema:
            type: boolean
            example: false
      responses:
        '200':
          description: >-
            Successful response


            **Key Response Fields:**

            - `data.searchResults[0].ad_archive_id`: The actual ad ID (use this
            — `ad_id` is always null)

            - `data.searchResults[0].is_active`: Whether the ad is currently
            running

            - `data.searchResults[0].page_id`: Facebook page ID running the ad

            - `data.searchResults[0].page_name`: Facebook page name

            - `data.searchResults[0].start_date_string`: ISO timestamp of when
            the ad started

            - `data.searchResults[0].end_date_string`: ISO timestamp of when the
            ad ended or will end

            - `data.searchResults[0].publisher_platform`: Platforms the ad runs
            on

            - `data.searchResults[0].snapshot.title`: Ad headline/title

            - `data.searchResults[0].snapshot.body.text`: Ad body copy

            - `data.searchResults[0].snapshot.cta_text`: Call-to-action button
            text

            - `data.searchResults[0].snapshot.cards[0].original_image_url`: Ad
            creative image URL

            - `data.searchResultsCount`: Total number of matching ads found

            - `data.cursor`: Pagination cursor — pass as `cursor` to get further
            results
          content:
            application/json:
              examples:
                full:
                  summary: Full Response
                  value:
                    success: true
                    data:
                      success: true
                      searchResults:
                        '0':
                          ad_archive_id: '3557423444566854'
                          collation_count: null
                          collation_id: null
                          page_id: '1542166686041969'
                          snapshot:
                            branded_content: null
                            page_id: '1542166686041969'
                            page_is_deleted: false
                            page_profile_uri: https://www.facebook.com/ShopeeID/
                            root_reshared_post: null
                            byline: null
                            disclaimer_label: null
                            page_name: Shopee
                            page_profile_picture_url: >-
                              https://scontent-sea5-1.xx.fbcdn.net/v/t39.35426-6/470221141_598719742707546_5888493433237993681_n.jpg?stp=dst-jpg_s60x60_tt6&_nc_cat=109&ccb=1-7&_nc_sid=c53f8f&_nc_ohc=rSXK_QyCxC8Q7kNvwHN9GoD&_nc_oc=AdmFQsk1-VK3eJgrXrvzhDA2jhrgoyFEetbvpzaj2tJ_-ILRIk9zuXoXjL4_zTW5k90&_nc_zt=14&_nc_ht=scontent-sea5-1.xx&_nc_gid=3uIkgC1NToT2e4UTk7o85w&oh=00_AftMfYBhS0x5QyIVir0gyPX5aDVKCr9-tmyN5y9KiOyQ3Q&oe=698EF1AC
                            event: null
                            caption: null
                            cta_text: Install now
                            cards:
                              '0':
                                body: >-
                                  Ngga perlu takut pesanan telat! Belanja kilat
                                  di Shopee Garansi Tepat Waktu, dapat Gratis
                                  Voucher Kalau Telat!
                                cta_type: INSTALL_MOBILE_APP
                                caption: play.google.com
                                link_description: GARANSI TEPAT WAKTU di Shopee! 🧡
                                link_url: null
                                title: >-
                                  Myroots Tempered Glass Blue Light Vivo Y20i -
                                  Y20S - Y30i - Y50i
                                cta_text: Install Now
                                video_hd_url: null
                                video_preview_image_url: null
                                video_sd_url: null
                                watermarked_video_hd_url: null
                                watermarked_video_sd_url: null
                                image_crops: {}
                                original_image_url: >-
                                  https://scontent-sea5-1.xx.fbcdn.net/v/t39.35426-6/470155166_598763855959846_2891375126439340067_n.jpg?_nc_cat=109&ccb=1-7&_nc_sid=c53f8f&_nc_ohc=oiwI8ksepdMQ7kNvwHIxhWy&_nc_oc=AdkcRBfyU14_kztmwtxHdu6JAIp9oyWpl0Mb7Muv37TWLO1f34v097FZEUiMEzn7jes&_nc_zt=14&_nc_ht=scontent-sea5-1.xx&_nc_gid=3uIkgC1NToT2e4UTk7o85w&oh=00_AfuzvDcXeX47i6tgRKDZN8g4ax2VrIawJFg0ojU6s6_3qA&oe=698EF609
                                resized_image_url: >-
                                  https://scontent-sea5-1.xx.fbcdn.net/v/t39.35426-6/470155166_598763855959846_2891375126439340067_n.jpg?stp=dst-jpg_s600x600_tt6&_nc_cat=109&ccb=1-7&_nc_sid=c53f8f&_nc_ohc=oiwI8ksepdMQ7kNvwHIxhWy&_nc_oc=AdkcRBfyU14_kztmwtxHdu6JAIp9oyWpl0Mb7Muv37TWLO1f34v097FZEUiMEzn7jes&_nc_zt=14&_nc_ht=scontent-sea5-1.xx&_nc_gid=3uIkgC1NToT2e4UTk7o85w&oh=00_AfuBVblFasRryqzwLh8zo-kNfpDcNyKuYR2jBaCnewbI6w&oe=698EF609
                                watermarked_resized_image_url: ''
                              '1':
                                body: >-
                                  Ngga perlu takut pesanan telat! Belanja kilat
                                  di Shopee Garansi Tepat Waktu, dapat Gratis
                                  Voucher Kalau Telat!
                                cta_type: INSTALL_MOBILE_APP
                                caption: play.google.com
                                link_description: GARANSI TEPAT WAKTU di Shopee! 🧡
                                link_url: null
                                title: >-
                                  RIG WEIRWEI KT 8900D WEIERWEI KT 8900D KT8900D
                                  FULLSET ANTENA SG M507
                                cta_text: Install Now
                                video_hd_url: null
                                video_preview_image_url: null
                                video_sd_url: null
                                watermarked_video_hd_url: null
                                watermarked_video_sd_url: null
                                image_crops: {}
                                original_image_url: >-
                                  https://scontent-sea5-1.xx.fbcdn.net/v/t39.35426-6/470173196_3920002954924359_2454042766045661521_n.jpg?_nc_cat=111&ccb=1-7&_nc_sid=c53f8f&_nc_ohc=meQ76ufoNOwQ7kNvwFj9tKO&_nc_oc=AdkyXy8HTQMe0qNBKNjZU_sQ6f3P8xyhyOtYXwMm_E9Occ2Jx4fqEEVld-x-KifSWcw&_nc_zt=14&_nc_ht=scontent-sea5-1.xx&_nc_gid=3uIkgC1NToT2e4UTk7o85w&oh=00_Afs-ADzahavdtW_x8Kc51MFapJYBiTfIPJvUYG0_HRS6kQ&oe=698EEAC1
                                resized_image_url: >-
                                  https://scontent-sea5-1.xx.fbcdn.net/v/t39.35426-6/470173196_3920002954924359_2454042766045661521_n.jpg?stp=dst-jpg_s600x600_tt6&_nc_cat=111&ccb=1-7&_nc_sid=c53f8f&_nc_ohc=meQ76ufoNOwQ7kNvwFj9tKO&_nc_oc=AdkyXy8HTQMe0qNBKNjZU_sQ6f3P8xyhyOtYXwMm_E9Occ2Jx4fqEEVld-x-KifSWcw&_nc_zt=14&_nc_ht=scontent-sea5-1.xx&_nc_gid=3uIkgC1NToT2e4UTk7o85w&oh=00_AfsfvZM4VgNre8-U71BZxgGfE6vVQcJjhJ1_jw9-C3u08A&oe=698EEAC1
                                watermarked_resized_image_url: ''
                              '2':
                                body: >-
                                  Ngga perlu takut pesanan telat! Belanja kilat
                                  di Shopee Garansi Tepat Waktu, dapat Gratis
                                  Voucher Kalau Telat!
                                cta_type: INSTALL_MOBILE_APP
                                caption: play.google.com
                                link_description: GARANSI TEPAT WAKTU di Shopee! 🧡
                                link_url: null
                                title: MOTOR DRAIN RETRACTOR MESIN CUCI QA12-11 Sharp
                                cta_text: Install Now
                                video_hd_url: null
                                video_preview_image_url: null
                                video_sd_url: null
                                watermarked_video_hd_url: null
                                watermarked_video_sd_url: null
                                image_crops: {}
                                original_image_url: >-
                                  https://scontent-sea1-1.xx.fbcdn.net/v/t39.35426-6/470211809_1572295404162432_1405298997540799487_n.jpg?_nc_cat=104&ccb=1-7&_nc_sid=c53f8f&_nc_ohc=h0X1KYBQX2MQ7kNvwHSStvE&_nc_oc=AdlbdXd8OX-75jDfiWjF6XukoW-O0oV7fML61Wiv1jmb2W4OeA2TNw-tzU1VdfTxExc&_nc_zt=14&_nc_ht=scontent-sea1-1.xx&_nc_gid=3uIkgC1NToT2e4UTk7o85w&oh=00_AftMXhbi_Cai9BQDIngOT-SMBtZ3OqiwKl-pU-OQsJ-JLQ&oe=698EFC2A
                                resized_image_url: >-
                                  https://scontent-sea1-1.xx.fbcdn.net/v/t39.35426-6/470211809_1572295404162432_1405298997540799487_n.jpg?stp=dst-jpg_s600x600_tt6&_nc_cat=104&ccb=1-7&_nc_sid=c53f8f&_nc_ohc=h0X1KYBQX2MQ7kNvwHSStvE&_nc_oc=AdlbdXd8OX-75jDfiWjF6XukoW-O0oV7fML61Wiv1jmb2W4OeA2TNw-tzU1VdfTxExc&_nc_zt=14&_nc_ht=scontent-sea1-1.xx&_nc_gid=3uIkgC1NToT2e4UTk7o85w&oh=00_Afs2fT3J0WnwH8dQIJ2ahsOIw1ON4yHBH7M68WzrShD93Q&oe=698EFC2A
                                watermarked_resized_image_url: ''
                              '3':
                                body: >-
                                  Ngga perlu takut pesanan telat! Belanja kilat
                                  di Shopee Garansi Tepat Waktu, dapat Gratis
                                  Voucher Kalau Telat!
                                cta_type: INSTALL_MOBILE_APP
                                caption: play.google.com
                                link_description: GARANSI TEPAT WAKTU di Shopee! 🧡
                                link_url: null
                                title: Speaker Advance M180BT CLEON Extra Power Sound
                                cta_text: Install Now
                                video_hd_url: null
                                video_preview_image_url: null
                                video_sd_url: null
                                watermarked_video_hd_url: null
                                watermarked_video_sd_url: null
                                image_crops: {}
                                original_image_url: >-
                                  https://scontent-sea5-1.xx.fbcdn.net/v/t39.35426-6/470222582_1959933984501909_2903789649647055229_n.jpg?_nc_cat=109&ccb=1-7&_nc_sid=c53f8f&_nc_ohc=xuDA6Rsjwk8Q7kNvwFoicWj&_nc_oc=Adlodi---rK8rJrjKm0q6RsHztRXD3gPXks2xSwAXIyCNr9G7MYc8qLt1_7o3f2pDZE&_nc_zt=14&_nc_ht=scontent-sea5-1.xx&_nc_gid=3uIkgC1NToT2e4UTk7o85w&oh=00_Aftfxinwsr_8EJ1hD5ipaZtHzl8zcRqVw2M9Q-ENGAFW9A&oe=698EDE3C
                                resized_image_url: >-
                                  https://scontent-sea5-1.xx.fbcdn.net/v/t39.35426-6/470222582_1959933984501909_2903789649647055229_n.jpg?stp=dst-jpg_s600x600_tt6&_nc_cat=109&ccb=1-7&_nc_sid=c53f8f&_nc_ohc=xuDA6Rsjwk8Q7kNvwFoicWj&_nc_oc=Adlodi---rK8rJrjKm0q6RsHztRXD3gPXks2xSwAXIyCNr9G7MYc8qLt1_7o3f2pDZE&_nc_zt=14&_nc_ht=scontent-sea5-1.xx&_nc_gid=3uIkgC1NToT2e4UTk7o85w&oh=00_AfudphgBZpm_C1tfGx40GOrQlevH3sDIaSu3vNvrasixVg&oe=698EDE3C
                                watermarked_resized_image_url: ''
                              '4':
                                body: >-
                                  Ngga perlu takut pesanan telat! Belanja kilat
                                  di Shopee Garansi Tepat Waktu, dapat Gratis
                                  Voucher Kalau Telat!
                                cta_type: INSTALL_MOBILE_APP
                                caption: play.google.com
                                link_description: GARANSI TEPAT WAKTU di Shopee! 🧡
                                link_url: null
                                title: MIYAKO BLENDER 152 GF
                                cta_text: Install Now
                                video_hd_url: null
                                video_preview_image_url: null
                                video_sd_url: null
                                watermarked_video_hd_url: null
                                watermarked_video_sd_url: null
                                image_crops: {}
                                original_image_url: >-
                                  https://scontent-sea5-1.xx.fbcdn.net/v/t39.35426-6/470180004_1108525107445100_4079140962851973128_n.jpg?_nc_cat=110&ccb=1-7&_nc_sid=c53f8f&_nc_ohc=BvKxQezNM3UQ7kNvwHBsHtQ&_nc_oc=AdlnPRAfmySr8r6cNoml6jhdGlLN_MoAKXEt31XN12xnMnUzVEkw1gQSFjP090lByaE&_nc_zt=14&_nc_ht=scontent-sea5-1.xx&_nc_gid=3uIkgC1NToT2e4UTk7o85w&oh=00_AfuHglu79S5s5VQ_NoQBNDrb_wQmJNHIsuyeZH0g6tvrMw&oe=698EFEE8
                                resized_image_url: >-
                                  https://scontent-sea5-1.xx.fbcdn.net/v/t39.35426-6/470180004_1108525107445100_4079140962851973128_n.jpg?stp=dst-jpg_s600x600_tt6&_nc_cat=110&ccb=1-7&_nc_sid=c53f8f&_nc_ohc=BvKxQezNM3UQ7kNvwHBsHtQ&_nc_oc=AdlnPRAfmySr8r6cNoml6jhdGlLN_MoAKXEt31XN12xnMnUzVEkw1gQSFjP090lByaE&_nc_zt=14&_nc_ht=scontent-sea5-1.xx&_nc_gid=3uIkgC1NToT2e4UTk7o85w&oh=00_AfsByrh5R-Ar4xMfDQ2ecGDPmipX5nr8MueyDK47xfrJig&oe=698EFEE8
                                watermarked_resized_image_url: ''
                              '5':
                                body: >-
                                  Ngga perlu takut pesanan telat! Belanja kilat
                                  di Shopee Garansi Tepat Waktu, dapat Gratis
                                  Voucher Kalau Telat!
                                cta_type: INSTALL_MOBILE_APP
                                caption: play.google.com
                                link_description: GARANSI TEPAT WAKTU di Shopee! 🧡
                                link_url: null
                                title: Refill Cartridge EPSON LQ2190 LQ2180
                                cta_text: Install Now
                                video_hd_url: null
                                video_preview_image_url: null
                                video_sd_url: null
                                watermarked_video_hd_url: null
                                watermarked_video_sd_url: null
                                image_crops: {}
                                original_image_url: >-
                                  https://scontent-sea1-1.xx.fbcdn.net/v/t39.35426-6/470139011_2051329141983784_744592750991496450_n.jpg?_nc_cat=100&ccb=1-7&_nc_sid=c53f8f&_nc_ohc=Q7N5DlG7nM8Q7kNvwF1ChXj&_nc_oc=AdnW8qGWl7H9b6cmw5AEf2hw-T50tQeUQ34nzwoOKOQr5slqk9owPdso_Hn65z6aa1c&_nc_zt=14&_nc_ht=scontent-sea1-1.xx&_nc_gid=3uIkgC1NToT2e4UTk7o85w&oh=00_Afvwk5fJEqTUS325FphbVqI17LAMbaW4007fx_EeMnIaUA&oe=698EF5F9
                                resized_image_url: >-
                                  https://scontent-sea1-1.xx.fbcdn.net/v/t39.35426-6/470139011_2051329141983784_744592750991496450_n.jpg?stp=dst-jpg_s600x600_tt6&_nc_cat=100&ccb=1-7&_nc_sid=c53f8f&_nc_ohc=Q7N5DlG7nM8Q7kNvwF1ChXj&_nc_oc=AdnW8qGWl7H9b6cmw5AEf2hw-T50tQeUQ34nzwoOKOQr5slqk9owPdso_Hn65z6aa1c&_nc_zt=14&_nc_ht=scontent-sea1-1.xx&_nc_gid=3uIkgC1NToT2e4UTk7o85w&oh=00_AftZ_f87f2MZWS_JFis8Ipksj_hV3hQc2ClCu9NXwf1ByA&oe=698EF5F9
                                watermarked_resized_image_url: ''
                            body:
                              text: >-
                                Ngga perlu takut pesanan telat! Belanja kilat di
                                Shopee Garansi Tepat Waktu, dapat Gratis Voucher
                                Kalau Telat!
                            cta_type: INSTALL_MOBILE_APP
                            display_format: DPA
                            link_description: GARANSI TEPAT WAKTU di Shopee! 🧡
                            link_url: null
                            images: {}
                            page_categories:
                              '0': App page
                            page_like_count: 31604727
                            title: >-
                              Myroots Tempered Glass Blue Light Vivo Y20i - Y20S
                              - Y30i - Y50i
                            videos: {}
                            is_reshared: false
                            extra_links: {}
                            extra_texts: {}
                            extra_images: {}
                            extra_videos: {}
                            country_iso_code: null
                            brazil_tax_id: null
                            additional_info: null
                            ec_certificates: {}
                          is_active: true
                          has_user_reported: false
                          report_count: null
                          menu_items: {}
                          state_media_run_label: null
                          page_is_deleted: false
                          page_name: Shopee
                          impressions_with_index:
                            impressions_text: null
                            impressions_index: -1
                          gated_type: ELIGIBLE
                          categories:
                            '0': UNKNOWN
                          is_aaa_eligible: false
                          contains_digital_created_media: false
                          reach_estimate: null
                          currency: ''
                          spend: null
                          end_date: 1770537600
                          publisher_platform:
                            '0': FACEBOOK
                            '1': INSTAGRAM
                            '2': AUDIENCE_NETWORK
                            '3': MESSENGER
                          start_date: 1749106800
                          contains_sensitive_content: false
                          total_active_time: null
                          regional_regulation_data:
                            finserv:
                              is_deemed_finserv: false
                              is_limited_delivery: false
                            tw_anti_scam:
                              is_limited_delivery: false
                          hide_data_status: NONE
                          fev_info: null
                          ad_id: null
                          targeted_or_reached_countries: {}
                          url: >-
                            https://www.facebook.com/ads/library?id=3557423444566854
                          start_date_string: '2025-06-05T07:00:00.000Z'
                          end_date_string: '2026-02-08T08:00:00.000Z'
                      searchResultsCount: 50001
                      cursor: >-
                        AQHSicCO9fh9qVceDdIDslVCzlYfLurHC3BbhpOe758WriyDp4MMbtO7d49HvJ1GpO2z
                    creditsUsed: 1
                trimmed:
                  summary: Trimmed Response
                  value:
                    success: true
                    data:
                      success: true
                      searchResults:
                        '0':
                          ad_archive_id: '3557423444566854'
                          end_date: 1770537600
                          is_aaa_eligible: false
                          is_active: true
                          collation_id: null
                          collation_count: null
                          page_id: '1542166686041969'
                          page_name: Shopee
                          reach_estimate: null
                          snapshot:
                            branded_content: null
                            page_id: '1542166686041969'
                            page_is_deleted: false
                            page_profile_uri: https://www.facebook.com/ShopeeID/
                            root_reshared_post: null
                            byline: null
                            disclaimer_label: null
                            page_name: Shopee
                            page_profile_picture_url: >-
                              https://scontent-bos5-1.xx.fbcdn.net/v/t39.35426-6/470221141_598719742707546_5888493433237993681_n.jpg?stp=dst-jpg_s60x60_tt6&_nc_cat=109&ccb=1-7&_nc_sid=c53f8f&_nc_ohc=rSXK_QyCxC8Q7kNvwGB5kJc&_nc_oc=AdktleiuJ2rpWiItNCarSPvbYKF1Gc3oXe8AEVTa3lsk1unGiH-UuDqnYCnCwGOgFv0&_nc_zt=14&_nc_ht=scontent-bos5-1.xx&_nc_gid=UBt_c2DB4NWoF6_CdUOZnA&oh=00_AfujGsdwOf5mj-ZD2_8zO1FxEmkwQ8ToIOyt1vYKjwucxA&oe=698EF1AC
                            event: null
                            caption: null
                            cta_text: Install now
                            cards:
                              '0':
                                body: >-
                                  Ngga perlu takut pesanan telat! Belanja kilat
                                  di Shopee Garansi Tepat Waktu, dapat Gratis
                                  Voucher Kalau Telat!
                                cta_type: INSTALL_MOBILE_APP
                                caption: play.google.com
                                link_description: GARANSI TEPAT WAKTU di Shopee! 🧡
                                link_url: null
                                title: Refill Cartridge EPSON LQ2190 LQ2180
                                cta_text: Install Now
                                video_hd_url: null
                                video_preview_image_url: null
                                video_sd_url: null
                                watermarked_video_hd_url: null
                                watermarked_video_sd_url: null
                                image_crops: {}
                                original_image_url: >-
                                  https://scontent-bos5-1.xx.fbcdn.net/v/t39.35426-6/470139011_2051329141983784_744592750991496450_n.jpg?_nc_cat=100&ccb=1-7&_nc_sid=c53f8f&_nc_ohc=Q7N5DlG7nM8Q7kNvwGTvjAE&_nc_oc=AdkCCnT009KiJJlF_uD38JwIXo_ldfunMg17YQfxgXAYybiHDIQQnhd9Ps43-d9HLU0&_nc_zt=14&_nc_ht=scontent-bos5-1.xx&_nc_gid=UBt_c2DB4NWoF6_CdUOZnA&oh=00_Afse9qBwxfM9bD_vpdCTIk6A0tnrq0IGDNc32rCwHLgSpw&oe=698EF5F9
                                resized_image_url: >-
                                  https://scontent-bos5-1.xx.fbcdn.net/v/t39.35426-6/470139011_2051329141983784_744592750991496450_n.jpg?stp=dst-jpg_s600x600_tt6&_nc_cat=100&ccb=1-7&_nc_sid=c53f8f&_nc_ohc=Q7N5DlG7nM8Q7kNvwGTvjAE&_nc_oc=AdkCCnT009KiJJlF_uD38JwIXo_ldfunMg17YQfxgXAYybiHDIQQnhd9Ps43-d9HLU0&_nc_zt=14&_nc_ht=scontent-bos5-1.xx&_nc_gid=UBt_c2DB4NWoF6_CdUOZnA&oh=00_AfvzouCDNv437-3ra3FfJfLoLH-ihfumRAl02EtwF2IjHA&oe=698EF5F9
                                watermarked_resized_image_url: ''
                              '1':
                                body: >-
                                  Ngga perlu takut pesanan telat! Belanja kilat
                                  di Shopee Garansi Tepat Waktu, dapat Gratis
                                  Voucher Kalau Telat!
                                cta_type: INSTALL_MOBILE_APP
                                caption: play.google.com
                                link_description: GARANSI TEPAT WAKTU di Shopee! 🧡
                                link_url: null
                                title: >-
                                  Myroots Tempered Glass Blue Light Vivo Y20i -
                                  Y20S - Y30i - Y50i
                                cta_text: Install Now
                                video_hd_url: null
                                video_preview_image_url: null
                                video_sd_url: null
                                watermarked_video_hd_url: null
                                watermarked_video_sd_url: null
                                image_crops: {}
                                original_image_url: >-
                                  https://scontent-bos5-1.xx.fbcdn.net/v/t39.35426-6/470155166_598763855959846_2891375126439340067_n.jpg?_nc_cat=109&ccb=1-7&_nc_sid=c53f8f&_nc_ohc=oiwI8ksepdMQ7kNvwFD05-v&_nc_oc=AdnkmJx7T8n2mrNVhAp4JT2cTDn8F2B0kGN9Rgm5gTQo-sEsiTahkZ9Y8fRlEi15MJU&_nc_zt=14&_nc_ht=scontent-bos5-1.xx&_nc_gid=UBt_c2DB4NWoF6_CdUOZnA&oh=00_Afv5xlKFSQYGQQsjN4AY2Yep700BhZZCT_ZQ4H9TjcvRhg&oe=698EF609
                                resized_image_url: >-
                                  https://scontent-bos5-1.xx.fbcdn.net/v/t39.35426-6/470155166_598763855959846_2891375126439340067_n.jpg?stp=dst-jpg_s600x600_tt6&_nc_cat=109&ccb=1-7&_nc_sid=c53f8f&_nc_ohc=oiwI8ksepdMQ7kNvwFD05-v&_nc_oc=AdnkmJx7T8n2mrNVhAp4JT2cTDn8F2B0kGN9Rgm5gTQo-sEsiTahkZ9Y8fRlEi15MJU&_nc_zt=14&_nc_ht=scontent-bos5-1.xx&_nc_gid=UBt_c2DB4NWoF6_CdUOZnA&oh=00_AfvlHvYfB_8kX4ObkETTabGEuZteLYU_GlFHtynYx_V4Eg&oe=698EF609
                                watermarked_resized_image_url: ''
                              '2':
                                body: >-
                                  Ngga perlu takut pesanan telat! Belanja kilat
                                  di Shopee Garansi Tepat Waktu, dapat Gratis
                                  Voucher Kalau Telat!
                                cta_type: INSTALL_MOBILE_APP
                                caption: play.google.com
                                link_description: GARANSI TEPAT WAKTU di Shopee! 🧡
                                link_url: null
                                title: MOTOR DRAIN RETRACTOR MESIN CUCI QA12-11 Sharp
                                cta_text: Install Now
                                video_hd_url: null
                                video_preview_image_url: null
                                video_sd_url: null
                                watermarked_video_hd_url: null
                                watermarked_video_sd_url: null
                                image_crops: {}
                                original_image_url: >-
                                  https://scontent-bos5-1.xx.fbcdn.net/v/t39.35426-6/470211809_1572295404162432_1405298997540799487_n.jpg?_nc_cat=104&ccb=1-7&_nc_sid=c53f8f&_nc_ohc=h0X1KYBQX2MQ7kNvwEbZnGd&_nc_oc=Adkh8PYfEum03egZ4yYYRiE9QGE_eO7odj-YRnX5GM7l9x5Qw1DTIjMLvbqP7MdWzyY&_nc_zt=14&_nc_ht=scontent-bos5-1.xx&_nc_gid=UBt_c2DB4NWoF6_CdUOZnA&oh=00_AfvN-yvKGR7F6aqO9H_9EhhwyeVLb0JG_MRtgP5IcyGvVA&oe=698EFC2A
                                resized_image_url: >-
                                  https://scontent-bos5-1.xx.fbcdn.net/v/t39.35426-6/470211809_1572295404162432_1405298997540799487_n.jpg?stp=dst-jpg_s600x600_tt6&_nc_cat=104&ccb=1-7&_nc_sid=c53f8f&_nc_ohc=h0X1KYBQX2MQ7kNvwEbZnGd&_nc_oc=Adkh8PYfEum03egZ4yYYRiE9QGE_eO7odj-YRnX5GM7l9x5Qw1DTIjMLvbqP7MdWzyY&_nc_zt=14&_nc_ht=scontent-bos5-1.xx&_nc_gid=UBt_c2DB4NWoF6_CdUOZnA&oh=00_AfvfyCgF7DI-EjmDNCcClE8TseW0pMklNEXtbJCWYDE2Pw&oe=698EFC2A
                                watermarked_resized_image_url: ''
                              '3':
                                body: >-
                                  Ngga perlu takut pesanan telat! Belanja kilat
                                  di Shopee Garansi Tepat Waktu, dapat Gratis
                                  Voucher Kalau Telat!
                                cta_type: INSTALL_MOBILE_APP
                                caption: play.google.com
                                link_description: GARANSI TEPAT WAKTU di Shopee! 🧡
                                link_url: null
                                title: >-
                                  RIG WEIRWEI KT 8900D WEIERWEI KT 8900D KT8900D
                                  FULLSET ANTENA SG M507
                                cta_text: Install Now
                                video_hd_url: null
                                video_preview_image_url: null
                                video_sd_url: null
                                watermarked_video_hd_url: null
                                watermarked_video_sd_url: null
                                image_crops: {}
                                original_image_url: >-
                                  https://scontent-bos5-1.xx.fbcdn.net/v/t39.35426-6/470173196_3920002954924359_2454042766045661521_n.jpg?_nc_cat=111&ccb=1-7&_nc_sid=c53f8f&_nc_ohc=meQ76ufoNOwQ7kNvwFUOD9O&_nc_oc=AdnBes_Jb6ZZSAI3HtHseAX9hi4G_HY412C2TBPV_vuCRFRh59Smp3X4ayZ1nIfZVFE&_nc_zt=14&_nc_ht=scontent-bos5-1.xx&_nc_gid=UBt_c2DB4NWoF6_CdUOZnA&oh=00_AfuygWEyif5k8g54QYPB_VxK8wsoRU-C7RVsQEhtfNA16Q&oe=698EEAC1
                                resized_image_url: >-
                                  https://scontent-bos5-1.xx.fbcdn.net/v/t39.35426-6/470173196_3920002954924359_2454042766045661521_n.jpg?stp=dst-jpg_s600x600_tt6&_nc_cat=111&ccb=1-7&_nc_sid=c53f8f&_nc_ohc=meQ76ufoNOwQ7kNvwFUOD9O&_nc_oc=AdnBes_Jb6ZZSAI3HtHseAX9hi4G_HY412C2TBPV_vuCRFRh59Smp3X4ayZ1nIfZVFE&_nc_zt=14&_nc_ht=scontent-bos5-1.xx&_nc_gid=UBt_c2DB4NWoF6_CdUOZnA&oh=00_AfsJHUaSXX2EVtboPxCNGhA2mUEeWkaxLctIDXr667BhlQ&oe=698EEAC1
                                watermarked_resized_image_url: ''
                              '4':
                                body: >-
                                  Ngga perlu takut pesanan telat! Belanja kilat
                                  di Shopee Garansi Tepat Waktu, dapat Gratis
                                  Voucher Kalau Telat!
                                cta_type: INSTALL_MOBILE_APP
                                caption: play.google.com
                                link_description: GARANSI TEPAT WAKTU di Shopee! 🧡
                                link_url: null
                                title: Speaker Advance M180BT CLEON Extra Power Sound
                                cta_text: Install Now
                                video_hd_url: null
                                video_preview_image_url: null
                                video_sd_url: null
                                watermarked_video_hd_url: null
                                watermarked_video_sd_url: null
                                image_crops: {}
                                original_image_url: >-
                                  https://scontent-bos5-1.xx.fbcdn.net/v/t39.35426-6/470222582_1959933984501909_2903789649647055229_n.jpg?_nc_cat=109&ccb=1-7&_nc_sid=c53f8f&_nc_ohc=xuDA6Rsjwk8Q7kNvwFezeUG&_nc_oc=AdnQ4wSP6gvcf2x3VNDB-CLVExYQUE3mRXkv_Al4xwxqN_O2qalCa0c-y230Aw0EUJM&_nc_zt=14&_nc_ht=scontent-bos5-1.xx&_nc_gid=UBt_c2DB4NWoF6_CdUOZnA&oh=00_AfuTnkay5gTcV19GbdA8-8dNBLU8QJG_moUmivG2ykxxjA&oe=698EDE3C
                                resized_image_url: >-
                                  https://scontent-bos5-1.xx.fbcdn.net/v/t39.35426-6/470222582_1959933984501909_2903789649647055229_n.jpg?stp=dst-jpg_s600x600_tt6&_nc_cat=109&ccb=1-7&_nc_sid=c53f8f&_nc_ohc=xuDA6Rsjwk8Q7kNvwFezeUG&_nc_oc=AdnQ4wSP6gvcf2x3VNDB-CLVExYQUE3mRXkv_Al4xwxqN_O2qalCa0c-y230Aw0EUJM&_nc_zt=14&_nc_ht=scontent-bos5-1.xx&_nc_gid=UBt_c2DB4NWoF6_CdUOZnA&oh=00_AfsguO11wnhvFshs2iMr_1jmUpxe8azJJO6eqL-6sSGLYw&oe=698EDE3C
                                watermarked_resized_image_url: ''
                              '5':
                                body: >-
                                  Ngga perlu takut pesanan telat! Belanja kilat
                                  di Shopee Garansi Tepat Waktu, dapat Gratis
                                  Voucher Kalau Telat!
                                cta_type: INSTALL_MOBILE_APP
                                caption: play.google.com
                                link_description: GARANSI TEPAT WAKTU di Shopee! 🧡
                                link_url: null
                                title: MIYAKO BLENDER 152 GF
                                cta_text: Install Now
                                video_hd_url: null
                                video_preview_image_url: null
                                video_sd_url: null
                                watermarked_video_hd_url: null
                                watermarked_video_sd_url: null
                                image_crops: {}
                                original_image_url: >-
                                  https://scontent-bos5-1.xx.fbcdn.net/v/t39.35426-6/470180004_1108525107445100_4079140962851973128_n.jpg?_nc_cat=110&ccb=1-7&_nc_sid=c53f8f&_nc_ohc=BvKxQezNM3UQ7kNvwFMTMhX&_nc_oc=Adks0OMmP6sqgvL73WfrSYLKMV3sZ4Tab885wW9RBTonjyH6iIw8y9gJldZYe7S80wU&_nc_zt=14&_nc_ht=scontent-bos5-1.xx&_nc_gid=UBt_c2DB4NWoF6_CdUOZnA&oh=00_AfvOeYUGiSDM1TVpSvD6uO2n51x7XoZx0Z7vJ5EP1J04fw&oe=698EFEE8
                                resized_image_url: >-
                                  https://scontent-bos5-1.xx.fbcdn.net/v/t39.35426-6/470180004_1108525107445100_4079140962851973128_n.jpg?stp=dst-jpg_s600x600_tt6&_nc_cat=110&ccb=1-7&_nc_sid=c53f8f&_nc_ohc=BvKxQezNM3UQ7kNvwFMTMhX&_nc_oc=Adks0OMmP6sqgvL73WfrSYLKMV3sZ4Tab885wW9RBTonjyH6iIw8y9gJldZYe7S80wU&_nc_zt=14&_nc_ht=scontent-bos5-1.xx&_nc_gid=UBt_c2DB4NWoF6_CdUOZnA&oh=00_Afugt8OJ-VZv8LgcQ3P0ayhshycxUGJWNRmprTxguCRw9A&oe=698EFEE8
                                watermarked_resized_image_url: ''
                            body:
                              text: >-
                                Ngga perlu takut pesanan telat! Belanja kilat di
                                Shopee Garansi Tepat Waktu, dapat Gratis Voucher
                                Kalau Telat!
                            cta_type: INSTALL_MOBILE_APP
                            display_format: DPA
                            link_description: GARANSI TEPAT WAKTU di Shopee! 🧡
                            link_url: null
                            images: {}
                            page_categories:
                              '0': App page
                            page_like_count: 31605854
                            title: Refill Cartridge EPSON LQ2190 LQ2180
                            videos: {}
                            is_reshared: false
                            extra_links: {}
                            extra_texts: {}
                            extra_images: {}
                            extra_videos: {}
                            country_iso_code: null
                            brazil_tax_id: null
                            additional_info: null
                            ec_certificates: {}
                          total_active_time: null
                          spend: null
                          start_date: 1749106800
                          publisher_platform:
                            '0': FACEBOOK
                            '1': INSTAGRAM
                            '2': AUDIENCE_NETWORK
                            '3': MESSENGER
                          url: >-
                            https://www.facebook.com/ads/library?id=3557423444566854
                          start_date_string: '2025-06-05T07:00:00.000Z'
                          end_date_string: '2026-02-08T08:00:00.000Z'
                      searchResultsCount: 50001
                      cursor: >-
                        AQHSnxUM6Ll5q2GTjPybM-1_8Bad526ykpu9yHs9CNl4b7UVgiHP-PUlbBAy9cLcNHpi
                    creditsUsed: 1
        '400':
          description: Bad Request - Invalid parameters or missing required fields
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: 'Missing required parameter: handle'
                  endpoint:
                    type: string
                  credits_required:
                    type: integer
                required:
                  - error
        '401':
          description: Unauthorized - Invalid or missing API key
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Invalid API key
                  docs:
                    type: string
                    example: https://docs.sociavault.com/authentication
                required:
                  - error
        '402':
          description: Payment Required - Insufficient credits
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Insufficient credits
                  required:
                    type: integer
                    example: 1
                    description: Credits required for this request
                  available:
                    type: integer
                    example: 0
                    description: Credits currently available
                required:
                  - error
                  - required
                  - available
        '500':
          description: Internal Server Error - Service configuration or processing error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Service configuration error
                required:
                  - error
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: |-
        API key for authentication. Format: `sk_live_xxxxxxxxxxxxx`

        Get your API key from the [Dashboard](https://sociavault.com/dashboard).

````